## org.exist.client.xacml
Class PolicyElementEditor

    java.lang.Object
      org.exist.client.xacml.AbstractNodeEditor
          org.exist.client.xacml.PolicyElementEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, javax.swing.event.DocumentListener, java.util.EventListener, NodeEditor

Direct Known Subclasses:
  AbstractPolicyEditor, RuleEditor

public abstract class PolicyElementEditor
extends AbstractNodeEditor
implements java.awt.event.ActionListener, javax.swing.event.DocumentListener

Constructor Summary
`PolicyElementEditor()`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent event)`
`void` `changedUpdate(javax.swing.event.DocumentEvent event)`
`com.sun.xacml.combine.CombiningAlgorithm` `getAlgorithm()`
`javax.swing.JComponent` `getComponent()`
`java.lang.String` `getDescription()`
`java.net.URI` `getId()`
`java.net.URI` `getID()`
`java.lang.String` `getIDString()`
`void` `insertUpdate(javax.swing.event.DocumentEvent event)`
`void` `pushChanges()`
`void` `removeUpdate(javax.swing.event.DocumentEvent event)`
`void` `setNode(XACMLTreeNode treeNode)`

Methods inherited from class org.exist.client.xacml.AbstractNodeEditor
`addChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyElementEditor

    public PolicyElementEditor()

Method Detail

### getComponent

    public javax.swing.JComponent getComponent()

  Specified by:
    `getComponent` in interface `NodeEditor`

### getDescription

    public java.lang.String getDescription()

### getIDString

    public java.lang.String getIDString()

### getID

    public java.net.URI getID()

### getAlgorithm

    public com.sun.xacml.combine.CombiningAlgorithm getAlgorithm()

### setNode

    public void setNode(XACMLTreeNode treeNode)

  Specified by:
    `setNode` in interface `NodeEditor`

### pushChanges

    public void pushChanges()

  Specified by:
    `pushChanges` in interface `NodeEditor`

### getId

    public java.net.URI getId()

### changedUpdate

    public void changedUpdate(javax.swing.event.DocumentEvent event)

  Specified by:
    `changedUpdate` in interface `javax.swing.event.DocumentListener`

### insertUpdate

    public void insertUpdate(javax.swing.event.DocumentEvent event)

  Specified by:
    `insertUpdate` in interface `javax.swing.event.DocumentListener`

### removeUpdate

    public void removeUpdate(javax.swing.event.DocumentEvent event)

  Specified by:
    `removeUpdate` in interface `javax.swing.event.DocumentListener`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Copyright (C) Wolfgang Meier. All rights reserved.